source: tests/preempt_longrun/Makefile.in @ 6dfed1f

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since 6dfed1f was 1f86d5e, checked in by Peter A. Buhr <pabuhr@…>, 5 years ago

remove unnecessary requirements in configure.ac, add check for -Wcast-function-type and _FloatNN, disable -Wcast-function-type for gcc-8

  • Property mode set to 100644
File size: 29.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/automake/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336AMTAR = @AMTAR@
337AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
338AR = @AR@
339AUTOCONF = @AUTOCONF@
340AUTOHEADER = @AUTOHEADER@
341AUTOMAKE = @AUTOMAKE@
342AWK = @AWK@
343BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
344CC = @CFACC@
345CCAS = @CCAS@
346CCASDEPMODE = @CCASDEPMODE@
347CCASFLAGS = @CCASFLAGS@
348CCDEPMODE = @CCDEPMODE@
349CFACC = @CFACC@
350CFACPP = @CFACPP@
351CFA_BACKEND_CC = @CFA_BACKEND_CC@
352CFA_BINDIR = @CFA_BINDIR@
353CFA_FLAGS = @CFA_FLAGS@
354CFA_INCDIR = @CFA_INCDIR@
355CFA_LIBDIR = @CFA_LIBDIR@
356CFA_NAME = @CFA_NAME@
357CFA_PREFIX = @CFA_PREFIX@
358CFLAGS = ${BUILD_FLAGS}
359CPP = @CPP@
360CPPFLAGS = @CPPFLAGS@
361CXX = @CXX@
362CXXCPP = @CXXCPP@
363CXXDEPMODE = @CXXDEPMODE@
364CXXFLAGS = @CXXFLAGS@
365CYGPATH_W = @CYGPATH_W@
366DEFS = @DEFS@
367DEPDIR = @DEPDIR@
368DLLTOOL = @DLLTOOL@
369DRIVER_DIR = @DRIVER_DIR@
370DSYMUTIL = @DSYMUTIL@
371DUMPBIN = @DUMPBIN@
372ECHO_C = @ECHO_C@
373ECHO_N = @ECHO_N@
374ECHO_T = @ECHO_T@
375EGREP = @EGREP@
376EXEEXT = @EXEEXT@
377FGREP = @FGREP@
378GREP = @GREP@
379HOST_FLAGS = @HOST_FLAGS@
380INSTALL = @INSTALL@
381INSTALL_DATA = @INSTALL_DATA@
382INSTALL_PROGRAM = @INSTALL_PROGRAM@
383INSTALL_SCRIPT = @INSTALL_SCRIPT@
384INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
385LD = @LD@
386LDFLAGS = @LDFLAGS@
387LEX = @LEX@
388LEXLIB = @LEXLIB@
389LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
390LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
391LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
392LIBOBJS = @LIBOBJS@
393LIBS = @LIBS@
394LIBTOOL = @LIBTOOL@
395LIPO = @LIPO@
396LN_S = @LN_S@
397LTLIBOBJS = @LTLIBOBJS@
398LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
399MAKEINFO = @MAKEINFO@
400MANIFEST_TOOL = @MANIFEST_TOOL@
401MKDIR_P = @MKDIR_P@
402NM = @NM@
403NMEDIT = @NMEDIT@
404OBJDUMP = @OBJDUMP@
405OBJEXT = @OBJEXT@
406OTOOL = @OTOOL@
407OTOOL64 = @OTOOL64@
408PACKAGE = @PACKAGE@
409PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
410PACKAGE_NAME = @PACKAGE_NAME@
411PACKAGE_STRING = @PACKAGE_STRING@
412PACKAGE_TARNAME = @PACKAGE_TARNAME@
413PACKAGE_URL = @PACKAGE_URL@
414PACKAGE_VERSION = @PACKAGE_VERSION@
415PATH_SEPARATOR = @PATH_SEPARATOR@
416RANLIB = @RANLIB@
417SED = @SED@
418SET_MAKE = @SET_MAKE@
419SHELL = @SHELL@
420STRIP = @STRIP@
421TARGET_HOSTS = @TARGET_HOSTS@
422VERSION = @VERSION@
423YACC = @YACC@
424YFLAGS = @YFLAGS@
425abs_builddir = @abs_builddir@
426abs_srcdir = @abs_srcdir@
427abs_top_builddir = @abs_top_builddir@
428abs_top_srcdir = @abs_top_srcdir@
429ac_ct_AR = @ac_ct_AR@
430ac_ct_CC = @ac_ct_CC@
431ac_ct_CXX = @ac_ct_CXX@
432ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
433am__include = @am__include@
434am__leading_dot = @am__leading_dot@
435am__quote = @am__quote@
436am__tar = @am__tar@
437am__untar = @am__untar@
438bindir = @bindir@
439build = @build@
440build_alias = @build_alias@
441build_cpu = @build_cpu@
442build_os = @build_os@
443build_vendor = @build_vendor@
444builddir = @builddir@
445datadir = @datadir@
446datarootdir = @datarootdir@
447docdir = @docdir@
448dvidir = @dvidir@
449exec_prefix = @exec_prefix@
450host = @host@
451host_alias = @host_alias@
452host_cpu = @host_cpu@
453host_os = @host_os@
454host_vendor = @host_vendor@
455htmldir = @htmldir@
456includedir = @includedir@
457infodir = @infodir@
458install_sh = @install_sh@
459libdir = @libdir@
460libexecdir = @libexecdir@
461localedir = @localedir@
462localstatedir = @localstatedir@
463mandir = @mandir@
464mkdir_p = @mkdir_p@
465oldincludedir = @oldincludedir@
466pdfdir = @pdfdir@
467prefix = @prefix@
468program_transform_name = @program_transform_name@
469psdir = @psdir@
470runstatedir = @runstatedir@
471sbindir = @sbindir@
472sharedstatedir = @sharedstatedir@
473srcdir = @srcdir@
474sysconfdir = @sysconfdir@
475target_alias = @target_alias@
476top_build_prefix = @top_build_prefix@
477top_builddir = @top_builddir@
478top_srcdir = @top_srcdir@
479AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
480ACLOCAL_AMFLAGS = -I automake
481repeats = 10
482max_time = 600
483preempt = 10ul\`ms
484debug = -debug
485type = LONG
486REPEAT = ${abs_top_srcdir}/tools/repeat
487WATCHDOG = ${abs_top_srcdir}/tools/watchdog
488TIME = /usr/bin/time -f "%E"
489
490# $(shell ./update-type $(type))
491# ./update-type $(type)
492UPDATED_TYPE = $(shell ./update-type $(type))
493BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -I.. -I. -DTEST_$(shell cat .type | tr a-z A-Z)
494TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
495all: all-am
496
497.SUFFIXES:
498.SUFFIXES: .log .test .test$(EXEEXT) .trs
499$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
500        @for dep in $?; do \
501          case '$(am__configure_deps)' in \
502            *$$dep*) \
503              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
504                && { if test -f $@; then exit 0; else break; fi; }; \
505              exit 1;; \
506          esac; \
507        done; \
508        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile'; \
509        $(am__cd) $(top_srcdir) && \
510          $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile
511Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
512        @case '$?' in \
513          *config.status*) \
514            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
515          *) \
516            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
517            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
518        esac;
519
520$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
521        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
522
523$(top_srcdir)/configure:  $(am__configure_deps)
524        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
525$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
526        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
527$(am__aclocal_m4_deps):
528
529mostlyclean-libtool:
530        -rm -f *.lo
531
532clean-libtool:
533        -rm -rf .libs _libs
534tags TAGS:
535
536ctags CTAGS:
537
538cscope cscopelist:
539
540
541# Recover from deleted '.trs' file; this should ensure that
542# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
543# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
544# to avoid problems with "make -n".
545.log.trs:
546        rm -f $< $@
547        $(MAKE) $(AM_MAKEFLAGS) $<
548
549# Leading 'am--fnord' is there to ensure the list of targets does not
550# expand to empty, as could happen e.g. with make check TESTS=''.
551am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
552am--force-recheck:
553        @:
554
555$(TEST_SUITE_LOG): $(TEST_LOGS)
556        @$(am__set_TESTS_bases); \
557        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
558        redo_bases=`for i in $$bases; do \
559                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
560                    done`; \
561        if test -n "$$redo_bases"; then \
562          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
563          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
564          if $(am__make_dryrun); then :; else \
565            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
566          fi; \
567        fi; \
568        if test -n "$$am__remaking_logs"; then \
569          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
570               "recursion detected" >&2; \
571        elif test -n "$$redo_logs"; then \
572          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
573        fi; \
574        if $(am__make_dryrun); then :; else \
575          st=0;  \
576          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
577          for i in $$redo_bases; do \
578            test -f $$i.trs && test -r $$i.trs \
579              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
580            test -f $$i.log && test -r $$i.log \
581              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
582          done; \
583          test $$st -eq 0 || exit 1; \
584        fi
585        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
586        ws='[   ]'; \
587        results=`for b in $$bases; do echo $$b.trs; done`; \
588        test -n "$$results" || results=/dev/null; \
589        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
590        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
591        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
592        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
593        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
594        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
595        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
596        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
597          success=true; \
598        else \
599          success=false; \
600        fi; \
601        br='==================='; br=$$br$$br$$br$$br; \
602        result_count () \
603        { \
604            if test x"$$1" = x"--maybe-color"; then \
605              maybe_colorize=yes; \
606            elif test x"$$1" = x"--no-color"; then \
607              maybe_colorize=no; \
608            else \
609              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
610            fi; \
611            shift; \
612            desc=$$1 count=$$2; \
613            if test $$maybe_colorize = yes && test $$count -gt 0; then \
614              color_start=$$3 color_end=$$std; \
615            else \
616              color_start= color_end=; \
617            fi; \
618            echo "$${color_start}# $$desc $$count$${color_end}"; \
619        }; \
620        create_testsuite_report () \
621        { \
622          result_count $$1 "TOTAL:" $$all   "$$brg"; \
623          result_count $$1 "PASS: " $$pass  "$$grn"; \
624          result_count $$1 "SKIP: " $$skip  "$$blu"; \
625          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
626          result_count $$1 "FAIL: " $$fail  "$$red"; \
627          result_count $$1 "XPASS:" $$xpass "$$red"; \
628          result_count $$1 "ERROR:" $$error "$$mgn"; \
629        }; \
630        {                                                               \
631          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
632            $(am__rst_title);                                           \
633          create_testsuite_report --no-color;                           \
634          echo;                                                         \
635          echo ".. contents:: :depth: 2";                               \
636          echo;                                                         \
637          for b in $$bases; do echo $$b; done                           \
638            | $(am__create_global_log);                                 \
639        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
640        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
641        if $$success; then                                              \
642          col="$$grn";                                                  \
643         else                                                           \
644          col="$$red";                                                  \
645          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
646        fi;                                                             \
647        echo "$${col}$$br$${std}";                                      \
648        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
649        echo "$${col}$$br$${std}";                                      \
650        create_testsuite_report --maybe-color;                          \
651        echo "$$col$$br$$std";                                          \
652        if $$success; then :; else                                      \
653          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
654          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
655            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
656          fi;                                                           \
657          echo "$$col$$br$$std";                                        \
658        fi;                                                             \
659        $$success || exit 1
660
661check-TESTS:
662        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
663        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
664        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
665        @set +e; $(am__set_TESTS_bases); \
666        log_list=`for i in $$bases; do echo $$i.log; done`; \
667        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
668        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
669        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
670        exit $$?;
671recheck: all
672        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
673        @set +e; $(am__set_TESTS_bases); \
674        bases=`for i in $$bases; do echo $$i; done \
675                 | $(am__list_recheck_tests)` || exit 1; \
676        log_list=`for i in $$bases; do echo $$i.log; done`; \
677        log_list=`echo $$log_list`; \
678        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
679                am__force_recheck=am--force-recheck \
680                TEST_LOGS="$$log_list"; \
681        exit $$?
682block.log: block
683        @p='block'; \
684        b='block'; \
685        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
686        --log-file $$b.log --trs-file $$b.trs \
687        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
688        "$$tst" $(AM_TESTS_FD_REDIRECT)
689coroutine.log: coroutine
690        @p='coroutine'; \
691        b='coroutine'; \
692        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
693        --log-file $$b.log --trs-file $$b.trs \
694        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
695        "$$tst" $(AM_TESTS_FD_REDIRECT)
696create.log: create
697        @p='create'; \
698        b='create'; \
699        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
700        --log-file $$b.log --trs-file $$b.trs \
701        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
702        "$$tst" $(AM_TESTS_FD_REDIRECT)
703disjoint.log: disjoint
704        @p='disjoint'; \
705        b='disjoint'; \
706        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
707        --log-file $$b.log --trs-file $$b.trs \
708        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
709        "$$tst" $(AM_TESTS_FD_REDIRECT)
710enter.log: enter
711        @p='enter'; \
712        b='enter'; \
713        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
714        --log-file $$b.log --trs-file $$b.trs \
715        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
716        "$$tst" $(AM_TESTS_FD_REDIRECT)
717enter3.log: enter3
718        @p='enter3'; \
719        b='enter3'; \
720        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
721        --log-file $$b.log --trs-file $$b.trs \
722        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
723        "$$tst" $(AM_TESTS_FD_REDIRECT)
724processor.log: processor
725        @p='processor'; \
726        b='processor'; \
727        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
728        --log-file $$b.log --trs-file $$b.trs \
729        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
730        "$$tst" $(AM_TESTS_FD_REDIRECT)
731stack.log: stack
732        @p='stack'; \
733        b='stack'; \
734        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
735        --log-file $$b.log --trs-file $$b.trs \
736        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
737        "$$tst" $(AM_TESTS_FD_REDIRECT)
738wait.log: wait
739        @p='wait'; \
740        b='wait'; \
741        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
742        --log-file $$b.log --trs-file $$b.trs \
743        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
744        "$$tst" $(AM_TESTS_FD_REDIRECT)
745yield.log: yield
746        @p='yield'; \
747        b='yield'; \
748        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
749        --log-file $$b.log --trs-file $$b.trs \
750        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
751        "$$tst" $(AM_TESTS_FD_REDIRECT)
752.test.log:
753        @p='$<'; \
754        $(am__set_b); \
755        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
756        --log-file $$b.log --trs-file $$b.trs \
757        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
758        "$$tst" $(AM_TESTS_FD_REDIRECT)
759@am__EXEEXT_TRUE@.test$(EXEEXT).log:
760@am__EXEEXT_TRUE@       @p='$<'; \
761@am__EXEEXT_TRUE@       $(am__set_b); \
762@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
763@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
764@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
765@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
766
767distdir: $(DISTFILES)
768        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
769        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
770        list='$(DISTFILES)'; \
771          dist_files=`for file in $$list; do echo $$file; done | \
772          sed -e "s|^$$srcdirstrip/||;t" \
773              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
774        case $$dist_files in \
775          */*) $(MKDIR_P) `echo "$$dist_files" | \
776                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
777                           sort -u` ;; \
778        esac; \
779        for file in $$dist_files; do \
780          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
781          if test -d $$d/$$file; then \
782            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
783            if test -d "$(distdir)/$$file"; then \
784              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
785            fi; \
786            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
787              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
788              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
789            fi; \
790            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
791          else \
792            test -f "$(distdir)/$$file" \
793            || cp -p $$d/$$file "$(distdir)/$$file" \
794            || exit 1; \
795          fi; \
796        done
797check-am: all-am
798        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
799check: check-am
800all-am: Makefile all-local
801installdirs:
802install: install-am
803install-exec: install-exec-am
804install-data: install-data-am
805uninstall: uninstall-am
806
807install-am: all-am
808        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
809
810installcheck: installcheck-am
811install-strip:
812        if test -z '$(STRIP)'; then \
813          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
814            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
815              install; \
816        else \
817          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
818            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
819            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
820        fi
821mostlyclean-generic:
822        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
823        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
824        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
825
826clean-generic:
827
828distclean-generic:
829        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
830        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
831
832maintainer-clean-generic:
833        @echo "This command is intended for maintainers to use"
834        @echo "it deletes files that may require special tools to rebuild."
835clean: clean-am
836
837clean-am: clean-generic clean-libtool clean-local mostlyclean-am
838
839distclean: distclean-am
840        -rm -f Makefile
841distclean-am: clean-am distclean-generic
842
843dvi: dvi-am
844
845dvi-am:
846
847html: html-am
848
849html-am:
850
851info: info-am
852
853info-am:
854
855install-data-am:
856
857install-dvi: install-dvi-am
858
859install-dvi-am:
860
861install-exec-am:
862
863install-html: install-html-am
864
865install-html-am:
866
867install-info: install-info-am
868
869install-info-am:
870
871install-man:
872
873install-pdf: install-pdf-am
874
875install-pdf-am:
876
877install-ps: install-ps-am
878
879install-ps-am:
880
881installcheck-am:
882
883maintainer-clean: maintainer-clean-am
884        -rm -f Makefile
885maintainer-clean-am: distclean-am maintainer-clean-generic
886
887mostlyclean: mostlyclean-am
888
889mostlyclean-am: mostlyclean-generic mostlyclean-libtool
890
891pdf: pdf-am
892
893pdf-am:
894
895ps: ps-am
896
897ps-am:
898
899uninstall-am:
900
901.MAKE: check-am install-am install-strip
902
903.PHONY: all all-am all-local check check-TESTS check-am clean \
904        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
905        distclean distclean-generic distclean-libtool distdir dvi \
906        dvi-am html html-am info info-am install install-am \
907        install-data install-data-am install-dvi install-dvi-am \
908        install-exec install-exec-am install-html install-html-am \
909        install-info install-info-am install-man install-pdf \
910        install-pdf-am install-ps install-ps-am install-strip \
911        installcheck installcheck-am installdirs maintainer-clean \
912        maintainer-clean-generic mostlyclean mostlyclean-generic \
913        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
914        uninstall uninstall-am
915
916.PRECIOUS: Makefile
917
918
919# .INTERMEDIATE: ${TESTS}
920
921all-local: ${TESTS:=.run}
922
923runall : ${TESTS:=.run}
924        @ echo "All programs terminated normally"
925
926watchall : ${TESTS:=.watch}
927        @ echo "All programs terminated normally"
928
929compileall : ${TESTS}
930        @ echo "Compiled"
931
932clean-local:
933        rm -f ${TESTS} core* out.log .type
934
935% : %.c ${CC} ${UPDATED_TYPE}
936        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
937
938%.run : % ${REPEAT}
939        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
940        @ rm ${<}
941        @ echo -e "${<}: SUCCESS\n"
942
943%.watch : % ${WATCHDOG}
944        @ time ${WATCHDOG} ./${<}
945        @ rm ${<}
946        @ echo -e "${<}: SUCCESS\n"
947
948%.time : % ${REPEAT}
949        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
950        @ rm ${<}
951        @ echo -e "${<}: SUCCESS\n"
952
953${REPEAT}: ${abs_top_srcdir}/tools/Makefile
954        @+make -C ${abs_top_srcdir}/tools/
955
956${WATCHDOG}: ${abs_top_srcdir}/tools/Makefile
957        @+make -C ${abs_top_srcdir}/tools/
958
959# Tell versions [3.59,3.63) of GNU make to not export all variables.
960# Otherwise a system limit (for SysV at least) may be exceeded.
961.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.